Bug 1126417 - [abrt] libreoffice-core: GetPixel(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: GetPixel(): soffice.bin killed by SIGSEGV
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e7a258e3228b0befc99db74505f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-04 11:57 UTC by klaus
Modified: 2014-11-07 13:33 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-07 13:33:24 UTC


Attachments (Terms of Use)
File: backtrace (144.84 KB, text/plain)
2014-08-04 11:57 UTC, klaus
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-04 11:57 UTC, klaus
no flags Details
File: core_backtrace (44.23 KB, text/plain)
2014-08-04 11:57 UTC, klaus
no flags Details
File: dso_list (28.71 KB, text/plain)
2014-08-04 11:57 UTC, klaus
no flags Details
File: environ (2.12 KB, text/plain)
2014-08-04 11:57 UTC, klaus
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-04 11:57 UTC, klaus
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-04 11:57 UTC, klaus
no flags Details
File: maps (142.35 KB, text/plain)
2014-08-04 11:57 UTC, klaus
no flags Details
File: open_fds (1006 bytes, text/plain)
2014-08-04 11:57 UTC, klaus
no flags Details
File: proc_pid_status (952 bytes, text/plain)
2014-08-04 11:57 UTC, klaus
no flags Details
File: var_log_messages (388 bytes, text/plain)
2014-08-04 11:57 UTC, klaus
no flags Details

Description klaus 2014-08-04 11:57:11 UTC
Version-Release number of selected component:
libreoffice-core-4.2.5.2-10.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --impress /home/klaus/mounts/au-herning/m/mounts/p/2014/EESY1/Introduction.odp --splash-pipe=5
crash_function: GetPixel
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.15.7-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 GetPixel at /usr/src/debug/libreoffice-4.2.5.2/include/vcl/bmpacc.hxx:387
 #1 GetPixelIndex at /usr/src/debug/libreoffice-4.2.5.2/include/vcl/bmpacc.hxx:392
 #2 lcl_AlphaBlend at /usr/src/debug/libreoffice-4.2.5.2/vcl/source/gdi/outdev2.cxx:1736
 #3 OutputDevice::ImplBlendWithAlpha at /usr/src/debug/libreoffice-4.2.5.2/vcl/source/gdi/outdev2.cxx:1830
 #4 OutputDevice::ImplDrawAlpha at /usr/src/debug/libreoffice-4.2.5.2/vcl/source/gdi/outdev2.cxx:2162
 #5 OutputDevice::ImplDrawBitmapEx at /usr/src/debug/libreoffice-4.2.5.2/vcl/source/gdi/outdev2.cxx:1026
 #6 OutputDevice::DrawBitmapEx at /usr/src/debug/libreoffice-4.2.5.2/vcl/source/gdi/outdev2.cxx:634
 #7 vclcanvas::CanvasHelper::implDrawBitmap at /usr/src/debug/libreoffice-4.2.5.2/canvas/source/vcl/canvashelper.cxx:728
 #8 vclcanvas::CanvasHelper::drawBitmap at /usr/src/debug/libreoffice-4.2.5.2/canvas/source/vcl/canvashelper.cxx:888
 #9 canvas::CanvasBase<canvas::DisambiguationHelper<cppu::WeakComponentImplHelper4<com::sun::star::rendering::XBitmapCanvas, com::sun::star::rendering::XIntegerBitmap, com::sun::star::lang::XServiceInfo, com::sun::star::beans::XFastPropertySet> >, vclcanvas::CanvasBitmapHelper, vclcanvas::tools::LocalGuard, cppu::OWeakObject>::drawBitmap at /usr/src/debug/libreoffice-4.2.5.2/include/canvas/base/canvasbase.hxx:432

Comment 1 klaus 2014-08-04 11:57:14 UTC
Created attachment 923847 [details]
File: backtrace

Comment 2 klaus 2014-08-04 11:57:15 UTC
Created attachment 923848 [details]
File: cgroup

Comment 3 klaus 2014-08-04 11:57:17 UTC
Created attachment 923849 [details]
File: core_backtrace

Comment 4 klaus 2014-08-04 11:57:18 UTC
Created attachment 923850 [details]
File: dso_list

Comment 5 klaus 2014-08-04 11:57:19 UTC
Created attachment 923851 [details]
File: environ

Comment 6 klaus 2014-08-04 11:57:21 UTC
Created attachment 923852 [details]
File: exploitable

Comment 7 klaus 2014-08-04 11:57:22 UTC
Created attachment 923853 [details]
File: limits

Comment 8 klaus 2014-08-04 11:57:24 UTC
Created attachment 923854 [details]
File: maps

Comment 9 klaus 2014-08-04 11:57:25 UTC
Created attachment 923855 [details]
File: open_fds

Comment 10 klaus 2014-08-04 11:57:26 UTC
Created attachment 923856 [details]
File: proc_pid_status

Comment 11 klaus 2014-08-04 11:57:27 UTC
Created attachment 923857 [details]
File: var_log_messages

Comment 12 Caolan McNamara 2014-11-03 14:09:39 UTC
Is there a way to reproduce this. Perhaps a certain presentation triggers this problem ?

Comment 13 klaus 2014-11-03 14:42:18 UTC
(In reply to Caolan McNamara from comment #12)
> Is there a way to reproduce this. Perhaps a certain presentation triggers
> this problem ?

I cannot remember how this incident happened, so it would be hard for me to reproduce, I'm afraid.

But it happens now and then - I'll try to se if I can reproduce it next time something alike happens.

|<


Note You need to log in before you can comment on or make changes to this bug.